> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/device-management/gateways-eui64-factory-reset-soft.md).

# /gateways/{eui64}/factory-reset-soft

Sends a soft factory reset command to a gateway. A soft factory reset brings the device to its factory default state, forgets the WiFi credentials and only maintains the information required to reconnect to the EnergyAI backend. The end user will only require to reconnect the device to the WiFi network, and the service will be re-established.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.6.0"},"tags":[{"name":"Device Management","description":"Commands to configure the devices connected to the platform"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"EUI64":{"name":"eui64","in":"path","description":"The EUI64 of the device in hexadecimal format.","required":true,"schema":{"type":"string"}}},"schemas":{"SuccessfulResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The success message returned."}}},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"MissingOrInvalidEUIErrorResponse":{"description":"Invalid request:\n  - Missing required 'path' parameter: 'eui64'.\n  - The provided EUI64 '{eui64}' is not a valid hexadecimal string.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"EUINotFoundErrorResponse":{"description":"Not found:\n  - 400: The device '{eui64}' is not available in the IoT Thing registry.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"DeviceOfflineOnFactoryResetSoftResponse":{"description":"The device '{eui64}' is currently offline and the soft factory reset command cannot be sent.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/gateways/{eui64}/factory-reset-soft":{"put":{"summary":"/gateways/{eui64}/factory-reset-soft","description":"Sends a soft factory reset command to a gateway. A soft factory reset brings the device to its factory  default state, forgets the WiFi credentials and only maintains the information required to reconnect to the  EnergyAI backend. The end user will only require to reconnect the device to the WiFi network, and the service will be re-established.\n","operationId":"putFactoryResetSoft","tags":["Device Management"],"parameters":[{"$ref":"#/components/parameters/EUI64"}],"responses":{"202":{"description":"Accepted - The soft factory reset command was sent to the device.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessfulResponse"}}}},"400":{"$ref":"#/components/responses/MissingOrInvalidEUIErrorResponse"},"404":{"$ref":"#/components/responses/EUINotFoundErrorResponse"},"409":{"$ref":"#/components/responses/DeviceOfflineOnFactoryResetSoftResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.net2grid.com/device-management-api/device-management/gateways-eui64-factory-reset-soft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
